[问题]About /dev/hda

为当前最终发行版之前的所有版本提供支持
回复
头像
jaguar00
帖子: 227
注册时间: 2005-10-19 23:48
来自: 大山丛林
送出感谢: 0
接收感谢: 0

[问题]About /dev/hda

#1

帖子 jaguar00 » 2005-11-14 22:15

thanks for all friends firstly:

several days ago ,i made a erroneous input in terminal."cp x.txt /dev/hda1"of course ,i used sudo; those days i maybe at a state of mess.my original willing was to copy x.txt in my $HOME to my disk-C.that right way should be :"cp x.txt /media/Win-C";

haha,how aweful!now i can't login my XP too,even boot from grud menu!

how can i fix this fatal problem ,not including reinstall brezzy.

anyone can show your kindness of helping me?thanks!!!(i can't input chinese ,please forgive me!).
xivhwo2002
帖子: 69
注册时间: 2005-10-23 17:43
来自: 地狱
送出感谢: 0
接收感谢: 0

#2

帖子 xivhwo2002 » 2005-11-14 23:10

不能登陆 XP ?
有什么提示?
只是复制文本文件不会对C盘造成什么影响的啊!
你现在是进不去xp而已,不关breezy的事;
大不了,重装xp,再修复grup,照样能进breezy的。
AMD X2 3800+
DFI LanParty UT Ultra-D
DDR400 dual 1G * 2
2*sata 120G RAID 0
Ubuntu Dapper Drake 6.06 Prepare ing ……
头像
catinsnow
帖子: 773
注册时间: 2005-08-02 7:23
来自: 上海
送出感谢: 0
接收感谢: 1 次

#3

帖子 catinsnow » 2005-11-14 23:17

cp 文件到设备文件/dev/hda1,相当于把硬盘分区作顺序设备写入bit流.你这种情况我觉得应该是比较严重,如果x.txt文件够大的话可能把分区中的内容破坏掉很多,应该是不可恢复的.当前应该用磁盘管理软件如PQ等检查磁盘.你的breezy现在是好用的?那样不用重装它的吧,倒是xp可能要重装,如果磁盘检查和xp修复不能搞定的话.xp装完grub被破坏,可以用grub2dos去解决.如果你xp有ghost镜像,恢复不会影响到grub.
上次由 catinsnow 在 2005-11-15 14:46,总共编辑 1 次。
Ubuntu Intrepid
#P4 2.4
P4 2.4C
#1024MB
2048MB
#120G
500G+120G
Nvidia FX5700
#ATI9100 --拆了,受不了ATI的驱动.
头像
jaguar00
帖子: 227
注册时间: 2005-10-19 23:48
来自: 大山丛林
送出感谢: 0
接收感谢: 0

#4

帖子 jaguar00 » 2005-11-15 10:09

thank you!
my breezy works normally.it just can't mount C(hda1) .
yes,i thought copy some txt-files to hda1 that only damaged the file of breezy before.but now i understand what happend,it could affect the genius hard-disk files too.
oh ,god ,the only way for me to install XP anew? i just wanna use XP for some applications ,like p2plive,bitspirits.
ok! i wanna wait perfect solutions no longer .
thanks for you 2 guys above . :P :P :lol: :lol: :D :D :roll: :) :D
回复

回到 “老旧版本支持”